/*
 * Copyright (C) 2021-2024  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef PROCESS_ACCEPTABLE_KEYSETS_HH_87E364E2C4CE53B85BF8F39D8154B41A
#define PROCESS_ACCEPTABLE_KEYSETS_HH_87E364E2C4CE53B85BF8F39D8154B41A

#include "src/acceptable_keyset.hh"
#include "src/keyset_metadata.hh"
#include "src/logger/log_entry_factory.hh"
#include "src/update.hh"

namespace Fred {
namespace Akm {
namespace Database {

void process_acceptable_keysets(
        const KeysetMetadata&,
        const AcceptableKeysets&,
        Logger::LogEntryFactory&,
        DryRun);

} // namespace Fred::Akm::Database
} // namespace Fred::Akm
} // namespace Fred

#endif
