/*
 * Copyright (C) 2021  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef PROTO_UNWRAP_HH_214FADA9A1FB1288F65A46A2FEDDCC4B//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define PROTO_UNWRAP_HH_214FADA9A1FB1288F65A46A2FEDDCC4B

#include "src/acceptable_keyset.hh"
#include "src/domain.hh"
#include "src/exception.hh"

#include <cdnskey_processor_api/service_supervisor_grpc.pb.h>

namespace Fred {
namespace Akm {

struct ProtoFieldMissingException : ProtoException
{
    explicit ProtoFieldMissingException(const std::string& _proto, const std::string& _field);
};

template <typename>
struct ProtoTypeTraits;

template <typename ProtoType>
typename ProtoTypeTraits<ProtoType>::InternalType proto_unwrap(const ProtoType&);

template <>
struct ProtoTypeTraits<CdnskeyProcessor::Api::Supervisor::AcceptableDnskeysReply>
{
    using InternalType = AcceptableKeysets;
};

} // namespace Fred::Akm
} // namespace Fred

#endif//PROTO_UNWRAP_HH_214FADA9A1FB1288F65A46A2FEDDCC4B
