/*
 * Copyright (C) 2021-2024  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef KEYSET_METADATA_HH_A386EA4872CCDD995CB0E72A7DC18C5D//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define KEYSET_METADATA_HH_A386EA4872CCDD995CB0E72A7DC18C5D

#include <set>
#include <string>

namespace Fred {
namespace Akm {

struct KeysetMetadata
{
    std::size_t handle_suffix_size;
    std::string handle_prefix;
    std::string registrar;
    std::string tech_contact;
    std::set<std::string> zones;
};

} // namespace Fred::Akm
} // namespace Fred

#endif//KEYSET_METADATA_HH_A386EA4872CCDD995CB0E72A7DC18C5D
