/*
 * Copyright (C) 2021-2024  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef KEYSET_REFERENCE_HH_E23F416E11436EF90B49637FD86D81B2//date "+%s.%N"|md5sum|tr "[a-f]" "[A-F]"
#define KEYSET_REFERENCE_HH_E23F416E11436EF90B49637FD86D81B2

#include <libstrong/type.hh>

#include <cstdint>

namespace Fred {
namespace Akm {

using KeysetId = LibStrong::Type<std::uint64_t, struct KeysetIdTag_,
      LibStrong::Collect<LibStrong::Skill::Comparable, LibStrong::Skill::Streamable>::SuperSkill>;
using KeysetHandle = LibStrong::Type<std::string, struct KeysetHandleTag_,
      LibStrong::Collect<LibStrong::Skill::Comparable, LibStrong::Skill::Streamable>::SuperSkill>;

struct KeysetReference
{
    KeysetId id;
    KeysetHandle handle;
};

} // namespace Fred::Akm
} // namespace Fred

#endif//KEYSET_REFERENCE_HH_E23F416E11436EF90B49637FD86D81B2
