/*
 * Copyright (C) 2021  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */
#ifndef __TO_LOG_ENTRY_PROPERTY__5ACF139D0AA3F332A72603267ED71FB5
#define __TO_LOG_ENTRY_PROPERTY__5ACF139D0AA3F332A72603267ED71FB5

#include "src/domain.hh"
#include "src/keyset.hh"
#include "src/keyset_reference.hh"

#include <libfred/registrable_object/keyset/keyset_dns_key.hh>
#include <libgrill/logger/log_entry_property.hh>

namespace LibGrill {
namespace Logger {

template <>
LogEntryProperty to_log_entry_property(const ::Fred::Akm::DomainFqdn&);

template <>
LogEntryProperty to_log_entry_property(const ::Fred::Akm::KeysetHandle&);

template <>
LogEntryProperty to_log_entry_property(const ::Fred::Akm::Dnskey&);

template <>
LogEntryProperty to_log_entry_property(const ::LibFred::DnsKey&);

} // namespace LibGrill::Logger
} // namespace LibGrill

#endif
